;;; 50mew.el --- Debian mew startup file  -*-mode: emacs-lisp;-*-

(let* ((pkg "mew")
       (pkg-sname "mew")
       (flavor-name (if (boundp 'debian-emacs-flavor)
			(symbol-name debian-emacs-flavor)
		      "emacs"))
       (pkg-inst (concat "/usr/lib/emacsen-common/packages/install/" pkg))
       (elc-dir (concat "/usr/share/" flavor-name "/site-lisp/" pkg-sname)))
  (when (and (file-exists-p elc-dir)
	     (file-exists-p pkg-inst))
    (if (fboundp 'debian-pkg-add-load-path-item)
	(debian-pkg-add-load-path-item elc-dir)
      (setq load-path (cons elc-dir load-path)))
    ;;
    (autoload 'mew-user-agent-compose "mew" nil t)
    (if (fboundp 'define-mail-user-agent)
	(define-mail-user-agent
	  'mew-user-agent
	  'mew-user-agent-compose
	  'mew-draft-send-message
	  'mew-draft-kill
	  'mew-send-hook))
    (autoload 'mew "mew" nil t)
    (autoload 'mew-send "mew" nil t)
    (setq mew-icon-directory "/usr/share/pixmaps/mew")
    (setq mew-prog-ssl "mewstunnel")
    (setq mew-ssl-cert-directory "/etc/ssl/certs")
    (setq mew-ssl-verify-level 2)
    (setq mew-unix-browser "/usr/bin/sensible-browser")
    (setq mew-unix-browser-arg nil)
    (setq mew-delete-temp-file nil)
    (setq mew-prog-gpg "gpg1")
    (setq mew-prog-gpg2 "gpg2")
    (setq mew-prog-pgp mew-prog-gpg2)
    (setq mew-prog-passwd mew-prog-gpg2)
    ;;
    ))

;;; 50mew.el ends here
